## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCTableColumnLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableColumnLoader

    public class JDBCTableColumnLoader

extends JDBCBaseLoader

Base loader implementation for loading a table's column objects. This class may be specialized as necessary to meet a particular vendor's needs.

Since:
  1.0

Field Summary
`static java.lang.String` `COLUMN_COLUMN_DEF` The column name containing the column's default value.
`static java.lang.String` `COLUMN_COLUMN_NAME` The column name containing the column's name.
`static java.lang.String` `COLUMN_COLUMN_SIZE` The column name containing the column's size.
`static java.lang.String` `COLUMN_DATA_TYPE` The column name containing the column's data type.
`static java.lang.String` `COLUMN_DECIMAL_DIGITS` The column name containing the column's decimal digits.
`static java.lang.String` `COLUMN_NULLABLE` The column name containing the column's nullable attribute.
`static java.lang.String` `COLUMN_REMARKS` The column name containing the column's description.
`static java.lang.String` `COLUMN_SCOPE_CATALOG` The column name containing the catalog name of the column's UDT reference type.
`static java.lang.String` `COLUMN_SCOPE_SCHEMA` The column name containing the schema name of the column's UDT reference type.
`static java.lang.String` `COLUMN_SCOPE_TABLE` The column name containing the table name of the column's UDT reference type.
`static java.lang.String` `COLUMN_TYPE_NAME` The column name containing the column's type name.

Constructor Summary
`JDBCTableColumnLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCTableColumnLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearColumns(java.util.List columns)` Removes the specified schema from the model.
`java.util.List` `loadColumns()` Deprecated. see `loadColumns(List, Collection)`
`void` `loadColumns(java.util.List containmentList, java.util.Collection existingColumns)` Loads the "column" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_COLUMN_NAME

    public static final java.lang.String COLUMN_COLUMN_NAME

  The column name containing the column's name.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_DATA_TYPE

    public static final java.lang.String COLUMN_DATA_TYPE

  The column name containing the column's data type.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_TYPE_NAME

    public static final java.lang.String COLUMN_TYPE_NAME

  The column name containing the column's type name.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_COLUMN_SIZE

    public static final java.lang.String COLUMN_COLUMN_SIZE

  The column name containing the column's size.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_DECIMAL_DIGITS

    public static final java.lang.String COLUMN_DECIMAL_DIGITS

  The column name containing the column's decimal digits.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_NULLABLE

    public static final java.lang.String COLUMN_NULLABLE

  The column name containing the column's nullable attribute.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_REMARKS

    public static final java.lang.String COLUMN_REMARKS

  The column name containing the column's description.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_COLUMN_DEF

    public static final java.lang.String COLUMN_COLUMN_DEF

  The column name containing the column's default value.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_SCOPE_CATALOG

    public static final java.lang.String COLUMN_SCOPE_CATALOG

  The column name containing the catalog name of the column's UDT reference type.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_SCOPE_SCHEMA

    public static final java.lang.String COLUMN_SCOPE_SCHEMA

  The column name containing the schema name of the column's UDT reference type.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

### COLUMN_SCOPE_TABLE

    public static final java.lang.String COLUMN_SCOPE_TABLE

  The column name containing the table name of the column's UDT reference type.

  See Also:
    `java.sql.DatabaseMetaData.getColumns()`, Constant Field Values

Constructor Detail

### JDBCTableColumnLoader

    public JDBCTableColumnLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

  Parameters:
    `catalogObject` - the Table object upon which this loader operates.

### JDBCTableColumnLoader

    public JDBCTableColumnLoader(ICatalogObject catalogObject,
                                 IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Table object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "column" objects being loaded

Method Detail

### loadColumns

    public java.util.List loadColumns()
                               throws java.sql.SQLException

  Deprecated. see `loadColumns(List, Collection)`

  Returns:
    a collection of Column objects
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### loadColumns

    public void loadColumns(java.util.List containmentList,
                            java.util.Collection existingColumns)
                     throws java.sql.SQLException

  Loads the "column" objects from the database. This method uses the result set from createResultSet() to load the "column" objects from the server. This method first checks the name of the "column" to determine whether or not it should be filtered. If it is not filtered, it checks to see if an object with that name was loaded previously. If it finds an existing object, it refreshes that object and adds it to the containment list. If the named object does not exist, the result set is passed to processRow(). Column objects are created using the factory method, createColumn() and initialized through the initialize() method. This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), processRow(), createColumn() and initialize().

  Parameters:
    `containmentList` - the containment list held by parent
    `existingColumns` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### clearColumns

    public void clearColumns(java.util.List columns)

  Removes the specified schema from the model.

  Parameters:
    `schemas` - the schemas to be removed from the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.